"use strict";

/* exported logger */
/* exported assert */

var MapsAdminPanel = require('../../../../main/js/gui/admin/MapsAdminPanel');
var logger = require('../../logger');

var assert = require('assert');

describe('MapsAdminPanel', function() {

  it('refresh', function() {
    var mapTab;
    var project;
    return ServerConnector.getProject().then(function(result) {
      project = result;
      return ServerConnector.getConfiguration();
    }).then(function(configuration) {
      mapTab = new MapsAdminPanel({
        element : testDiv,
        project : project,
        configuration : configuration,
      });
      return mapTab.init();
    }).then(function() {
      return mapTab.onRefreshClicked();
    });
  });

});
